/* ====================================================== */
/* CSS for control sap.ui.commons/SegmentedButton.control */
/* ====================================================== */

.sapUiSegmentedButton {
	color: @sapUiBaseText;
	white-space: nowrap;
}

.sapUiSegmentedButton > span > .sapUiBtnS {
	border-radius: 0;
	border-left-width: 0;
}

.sapUiSegmentedButton > span > button:first-of-type {
	border-radius:  2px 0 0 2px;
	border-left-width: 1px;
}

.sapUiSegmentedButton > span> button:last-of-type {
	border-radius: 0 2px 2px 0;
}

.sapUiSegmentedButton > span > .sapUiBtnS.sapUiSegButtonSelected {
	cursor: default;
	background-color: @sapUiHighlight;
	color: @sapUiTextSelection;
}

.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnStd:focus,
.sapUiSegmentedButton > span > .sapUiBtnS.sapUiBtnStd.sapUiBtnStdFocus {
	outline: 1px dashed @sapUiHighlight;
}